Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.core
Class GuiIfc.MessagingParams

    java.lang.Object
      org.ka2ddo.yaac.core.GuiIfc.MessagingParams

Enclosing interface:
  GuiIfc

    public static class GuiIfc.MessagingParams

extends java.lang.Object

Data structure containing parameters needed to transmit a text message. Intended to be returned by the method for displaying the user query dialog.

See Also:
  `GuiIfc.displayMessagingDialog(java.util.ArrayList)`

Field Summary
`java.lang.String` | `relayPath` The digipeat relay path for the message.
`java.lang.Object` | `stationId` Either a String containing a callsign or a StationState whose identifier is the target station's callsign.
`java.lang.String` | `text` The text of the message (to be encoded in UTF-8 upon transmission).

Constructor Summary
`GuiIfc.MessagingParams(java.lang.Object stationId, java.lang.String relayPath, java.lang.String text)` Construct a MessagingParams object.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stationId

    public java.lang.Object stationId

  Either a String containing a callsign or a StationState whose identifier is the target station's callsign.

### relayPath

    public java.lang.String relayPath

  The digipeat relay path for the message.

### text

    public java.lang.String text

  The text of the message (to be encoded in UTF-8 upon transmission).

Constructor Detail

### GuiIfc.MessagingParams

    public GuiIfc.MessagingParams(java.lang.Object stationId,
                                  java.lang.String relayPath,
                                  java.lang.String text)

  Construct a MessagingParams object.

  Parameters:
    `stationId` - Either a String containing a callsign or a StationState whose identifier is the target station's callsign.
    `relayPath` - The digipeat relay path for the message.
    `text` - The text of the message (to be encoded in UTF-8 upon transmission).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD